Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -26,6 +26,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <Descriptors/AtomDescriptor.hpp>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 #include "atom.hpp"
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/BoxTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "element.hpp"
 #include "periodentafel.hpp"
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -25,6 +25,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "element.hpp"
 #include "periodentafel.hpp"
Index: src/UIElements/TextUI/Query/EmptyTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -27,6 +27,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -26,6 +26,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -26,6 +26,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <iostream>
@@ -24,6 +24,6 @@
 #include "TextUI/Query/TextQuery.hpp"
 
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include "TextUI/TextDialog.hpp"
Index: src/UIElements/TextUI/TextStatusIndicator.cpp
===================================================================
--- src/UIElements/TextUI/TextStatusIndicator.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/TextStatusIndicator.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include "TextUI/TextStatusIndicator.hpp"
Index: src/UIElements/TextUI/TextStatusIndicator.hpp
===================================================================
--- src/UIElements/TextUI/TextStatusIndicator.hpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/TextStatusIndicator.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -9,5 +9,5 @@
 #define TEXTSTATUSINDICATOR_HPP_
 
-#include "Patterns/Observer.hpp"
+#include "CodePatterns/Observer.hpp"
 
 class TextStatusIndicator : public Observer
Index: src/UIElements/TextUI/TextUIFactory.cpp
===================================================================
--- src/UIElements/TextUI/TextUIFactory.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/TextUIFactory.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include "UIElements/TextUI/TextUIFactory.hpp"
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision e4fe8d6bab9cf4dd5525442cf6174806c453318a)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
@@ -18,5 +18,5 @@
 #endif
 
-#include "Helpers/MemDebug.hpp"
+#include "CodePatterns/MemDebug.hpp"
 
 #include <boost/bind.hpp>
@@ -40,6 +40,6 @@
 
 #include "Helpers/defs.hpp"
-#include "Helpers/Log.hpp"
-#include "Helpers/Verbose.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
 
 // all needed due to config::SaveAll()
